package tinj.jcdv.wpky

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.bcxo.Fnpc
import android.graphics.Color
import androidx.activity.OnBackPressedCallback
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.databinding.EkhwxkBinding

class Vukv : Hqlm<EkhwxkBinding>(), Hyic {

    override val binding: EkhwxkBinding by lazy {
        EkhwxkBinding.inflate(layoutInflater)
    }

    private var mPhotoListManager: Wfbc? = null

    override val isLightMode =true

    private fun ޖސސއކޘޣރ() {
        abstract class ގބޤޖޒޖޖޕ {
            abstract fun ޙޣޠއނޔބޥ()
        }
        class އޠހސޞޛމމ : ގބޤޖޒޖޖޕ() {
            override fun ޙޣޠއނޔބޥ() {
                println("ދޏރޡޟތޏޗ")
            }
        }
        val ނޙހގޛފޓޗ = އޠހސޞޛމމ()
        ނޙހގޛފޓޗ.ޙޣޠއނޔބޥ()
        ޔއޘޅޟޟޅޘ()
    }

    private fun ޢލލޔށށހޒ() {
        Mmlp.getInstance().clearCache()
    }

    private fun ޔއޘޅޟޟޅޘ() {
        ޛވޏދހވރލ()
    }

    private fun ޗޥޥޢޞޤނލ() {
        ޅދޛސލޑމނ()
    }

    companion object {
        var mActivity: Vukv? = null
    }

    override fun onSelectAlbum(albums: Xhhw) {
        mPhotoListManager?.onSelectAlbum(albums)
    }

    private fun ސޠރޙއއވޤ() {
    }

    private fun ދށޚހޗރޗޕ() {
        class ޖޡޞޖބރޑޓ<T, K>(val ޜވޥދފޥޜޒ: T, val ޏޕގޟޘގޜކ: K) {
            init {
                println("ޕޘސބޠޡވޚ")
            }
        }
        val ދޕޡޅށރކމ = ޖޡޞޖބރޑޓ("ޘދތނޞޙޟވ", 4772)
        println(ދޕޡޅށރކމ)
        ޜޤޢޗޘޑރވ()
    }

    private fun ރކޏޛޔޒޕޅ() {
        class ޑކއޥޙޥގޗ(val ޅޗޅފޥޝރޤ: String, val ޝޑޥޞޚޑލޞ: Int)
        println(ޑކއޥޙޥގޗ("ށވޒޜވޓޑޢ", 2598))
        ޖސސއކޘޣރ()
    }

    private fun ޅދޛސލޑމނ() {
        fun ޤޏޤޢޠނތވ() {
            fun ޖޘދޗފޟޜޝ(ޖއލޜބޒޖޕ: Int) {
                println(ޖއލޜބޒޖޕ)
            }
            ޖޘދޗފޟޜޝ(7433)
            ޖޘދޗފޟޜޝ(7792)
            ޖޘދޗފޟޜޝ(1093)
        }
        ޤޏޤޢޠނތވ()
        އޝރށޘޚޘޔ()
    }

    override fun onBackPressed() {
        ރކޏޛޔޒޕޅ()
        abstract class ގޣޠޣޚޤޠނ {
            abstract fun ދހޗފތރޔޒ()
        }
        class ބޗރޞނލޠޙ : ގޣޠޣޚޤޠނ() {
            override fun ދހޗފތރޔޒ() {
                println("އޜޖބކނރވ")
            }
        }
        val ތޤޓޓޔއލޣ = ބޗރޞނލޠޙ()
        ތޤޓޓޔއލޣ.ދހޗފތރޔޒ()
        super.onBackPressed()
        ދށޚހޗރޗޕ()
    }

    private fun ޡހޅޟޡޠބޅ() {
        ޚސޥޥޝކޚޗ()
    }

    private fun ޣއމޒނގތރ() {
        ޔޣޝމވޣނލ()
    }

    private fun ޜޤޢޗޘޑރވ() {
        ޡހޅޟޡޠބޅ()
    }

    private fun ޚސޥޥޝކޚޗ() {
        ސޠރޙއއވޤ()
    }

    private fun އޝރށޘޚޘޔ() {
        class ލދޡޔއޕރކ<T>(val ޥޡޤޜޓޚމޓ: T, val ތޒޛޑޢޡޓނ: Int) {
            constructor(ދށޟޗޢޙލޞ: T) : this(ދށޟޗޢޙލޞ, 2506) {
                println("ޚޝރޣޘޝޣޏ")
            }
        }
        println(ލދޡޔއޕރކ("ޓވޞޝތއޘރ"))
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.ypwzhta.setTrackedOnClickListener {
            onBackPressedDispatcher.onBackPressed()
        }
        onBackPressedDispatcher.addCallback(object : OnBackPressedCallback(true) {
            override fun handleOnBackPressed() {
                ގޞރފޅޣޠސ()
            }

            private fun ގޞރފޅޣޠސ() {
                ޞބބޥގޚޝނ()
            }

            private fun ޞބބޥގޚޝނ() {
                abstract class ޏޘޟވރޝޤލ {
                    abstract fun މމދޙޜވނވ()
                }
                class ޟމޡކޤޥރނ : ޏޘޟވރޝޤލ() {
                    override fun މމދޙޜވނވ() {
                        println("ޓޒޑނށދޛޏ")
                    }
                }
                val ޢބޞސހއފޡ = ޟމޡކޤޥރނ()
                ޢބޞސހއފޡ.މމދޙޜވނވ()
                އދވޘޕޥޥއ()
            }

            private fun އދވޘޕޥޥއ() {
                ޠޜލޝހޜދޞ()
            }

            private fun ޠޜލޝހޜދޞ() {
                Fnpc.showInterstitialAd(this@Vukv){
                    Mmlp.getInstance().clearCache()
                    finishToMain()
                }

            }
        })
        fun ދއޘޕޓޕނޚ(ވފޕޡބޏޡޞ: Int, ޥޤޢފޏބނކ: Int): Int {
            fun ގޏކކނހދގ(ޖވފސޛޚޕވ: Int, ޥޅޖޘގގޢސ: Int): Int {
                return ޖވފސޛޚޕވ + ޥޅޖޘގގޢސ
            }
            return ގޏކކނހދގ(ވފޕޡބޏޡޞ, ޥޤޢފޏބނކ)
        }
        val ޒޛބޚޜހޕކ = ދއޘޕޓޕނޚ(6349, 3079)
        println(ޒޛބޚޜހޕކ)
        mActivity = this
        fun ށށޝޘޅށޝދ() {
            fun އޡގނޏޥދތ(ޢޛރޞޕޏޣޙ: Int) {
                println(ޢޛރޞޕޏޣޙ)
            }
            އޡގނޏޥދތ(2185)
            އޡގނޏޥދތ(8845)
            އޡގނޏޥދތ(4112)
        }
        ށށޝޘޅށޝދ()
        mPhotoListManager = Wfbc(this)
        Jqps(this, this)
    }

    private fun ޔޣޝމވޣނލ() {
        val ޣޡސޣކމޘޖ = 3451..3451 + 10
        println(ޣޡސޣކމޘޖ.random())
        ޗޥޥޢޞޤނލ()
    }

    override fun initView() {
        ޣއމޒނގތރ()
    }

    private fun ޛވޏދހވރލ() {
        ޢލލޔށށހޒ()
    }
}